hwlocality_distances_remove(3)

NAME
hwlocality_distances_remove - Remove distances between objects

SYNOPSIS

  Functions
int hwloc_distances_remove (hwloc_topology_t topology)
int hwloc_distances_remove_by_depth (hwloc_topology_t topology, int depth)
static int hwloc_distances_remove_by_type (hwloc_topology_t topology, hwloc_obj_type_t type)
int hwloc_distances_release_remove (hwloc_topology_t topology, struct hwloc_distances_s *distances)

Detailed Description

Function Documentation

  int hwloc_distances_release_remove (hwloc_topology_t topology, struct hwloc_distances_s * distances)

Release and remove the given distance matrice from the topology. This function includes a call to hwloc_distances_release().

Returns
    0 on success, -1 on error.

  int hwloc_distances_remove (hwloc_topology_t topology)

Remove all distance matrices from a topology. Remove all distance matrices, either provided by the user or gathered through the OS.

If these distances were used to group objects, these additional Group objects are not removed from the topology.

Returns
    0 on success, -1 on error.

  int hwloc_distances_remove_by_depth (hwloc_topology_t topology, int depth)

Remove distance matrices for objects at a specific depth in the topology. Identical to hwloc_distances_remove() but only applies to one level of the topology.

Returns
    0 on success, -1 on error.

  static int hwloc_distances_remove_by_type (hwloc_topology_t topology, hwloc_obj_type_t type) [inline], [static]

Remove distance matrices for objects of a specific type in the topology. Identical to hwloc_distances_remove() but only applies to one level of the topology.

Returns
    0 on success, -1 on error.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.